Geographic Imager Blank Panel Issue

Some Adobe Photoshop CS5 and CS6 users may be experiencing a blank panel issue in Geographic Imager, specifically from version 4.3 to 4.5.1.

The issue has to do with Adobe CS5 and CS6 failing to recognize valid plugins and its certificates even though they were signed within the time period of the certificate's validity. As a result, many Photoshop plugins from other makers -- not just Geographic Imager -- have and will eventually stop working. Adobe fixed this issue in the most recent releases of Creative Cloud, but unfortunately, are not willing to correct older versions.

To continue using Adobe Photoshop CS5 with Geographic Imager:
  • Upgrade Geographic Imager to v5.0* 
  • Geographic Imager version 5.0 can be downloaded here: Mac | Windows
To continue using Adobe Photoshop CS6 with Geographic Imager: 
  • Upgrade Geographic Imager to v5.0 or higher*
  • The latest version of Geographic Imager can be downloaded here
To continue using Geographic Imager 4.3 to 4.5.1:
  • Upgrade Adobe Photoshop to CC (note this must be the first version of Creative Cloud, and not CC2014 or higher)

* For customers no longer on maintenance, under these special circumstances Avenza is allowing upgrades at a discounted maintenance renewal rate. Contact for more information.

Full compatibility information can be found here.